<div class="btnAcrossPageName">
  <!-- add -->
  <mb-button
    mbButtonSize='MEDIUM'
    mbButtonAvailableStyle='ADD_NEW'
    mbButtonText="{{'common.button.add' | translate}}"
    (click)="showModalAdd(footerTmpl)"
  ></mb-button>
</div>

<div class="content__item content__item--border bg__content--default" >
  <form nz-form [formGroup]='form' style='margin-bottom: 8px' (keyup.enter)='doSearch(1)'>
    <div nz-row [nzGutter]='[30,30]'>
      <!--    Form tìm kiếm -->
      <div nz-col [nzXs]='24' [nzLg]='12'>
        <mb-input-text formControlName='code' [mbMaxLength]='200'
                       mbPlaceholderText="--{{'staffAbs.label.code' | translate}}--"
                       mbLabelText="{{'staffAbs.label.code' | translate}}"></mb-input-text>
      </div>
      <div nz-col [nzXs]='24' [nzLg]='12'>
        <mb-input-text formControlName='name' [mbMaxLength]='200'
                       mbPlaceholderText="--{{'staffAbs.label.name' | translate}}--"
                       mbLabelText="{{'staffAbs.label.name' | translate}}"></mb-input-text>
      </div>
      <!--    End Form tìm kiếm-->
    </div>
  </form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>
    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1)"
          mbButtonText="{{'staffAbs.label.search' | translate}}"
        ></mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>

</div>



<div class='search__result'>
  <mb-table-wrap>
    <mb-table
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig'
      [tableData]='searchResult'
    ></mb-table>
  </mb-table-wrap>
</div>



<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
<ng-template #actionTmpl let-workdayTypeId="workdayTypeId">
  <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
             (click)="showModalUpdate(workdayTypeId,footerTmpl)"></mb-button>
  <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
             nzPopconfirmTitle="{{'staffAbs.table.action.confirmDelete' | translate}}"
             nzCancelText="{{'staffAbs.table.action.cancel' | translate}}"
             nzOkType="primary"
             nzOkText="{{'staffAbs.table.action.yes' | translate}}"
             (nzOnConfirm)="deleteItem(workdayTypeId)"
             nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
</ng-template>
<ng-template #actionFactorTmpl let-listGroup="listGroup">
    <div *ngFor="let item of listGroup" style="margin-bottom: 10px">
      <nz-tag [nzColor]="tagGroupNameColor" style="min-width: 180px;text-align: center;">
        {{item.groupName}}
      </nz-tag>
      <nz-tag [nzColor]="tagFactorColor" style="min-width: 25px;text-align: center;">{{item.factor}}</nz-tag>
    </div>
</ng-template>
